
package spring.sample.aop.proxy;

import org.aopalliance.intercept.MethodInterceptor;
import org.aopalliance.intercept.MethodInvocation;

/**
 * Around Adviceを実現するクラスです。<br>
 * <PRE>
 *   Joinpointの前後にて、標準出力にログを出力しています。
 * </PRE>
 * @author MBeans
 * @version 1.0
 */
public class LogAroundInterceptor implements MethodInterceptor {
	
	public Object invoke(MethodInvocation invocation) throws Throwable {
		System.out.println("AroundLog proceed before<<Class[" + invocation + "]>>");
		Object rval = invocation.proceed();
		System.out.println("AroundLog proceed after");
		return rval;
	}
}
